Bug 1278199 - REST WAR Generation - Index.html contains wrong View name in url
REST WAR Generation - Index.html contains wrong View name in url
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-04 17:29 EST by Serhat Dirik
Modified: 2016-04-14 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:29:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2709 Major Closed REST WAR Generation - Index.html contains wrong View name in url 2016-04-14 14:49 EDT

  None (edit)
Description Serhat Dirik 2015-11-04 17:29:39 EST
Description of problem:

  In index.html file, url address of rest services having invalid values on subsequent rest war generation.  

Version-Release number of selected component (if applicable):

  JBDS 9.0 GA + Early Access Alpha2 plugins (access.redhat.com)
  
How reproducible:
   
  In any workspace that contains multiple teiid projects (or single project with multiple views) 

Steps to Reproduce:
1. Right click on a view model & select pick generate rest procedures from modelling menu 
2. Goto VDB file that containing this view and generate a REST WAR 
3. On a second project do the same
4. Open generated WAR file and check index.html file content. Check the generated javascript there. You'll see generated url variable value is containing the view name of the first project. 
5. If you see proper value, go back to first VDB and regenerate REST war, check the index.html content 

Actual results:

  Wrongly generated index.html file in WAR file

Expected results:
  index.html has proper url
  
Additional info:
   ,I think the view model name is saved in a session value in Eclipse.
    IDE restart is required for proper generation
Comment 2 Matus Makovy 2015-11-05 05:05:28 EST
I reproduced this with TD 9.0.4
Comment 3 Barry LaFond 2015-12-07 08:29:50 EST
Using only JIRA now.  Marking as closed
Comment 4 JBoss JIRA Server 2016-01-06 12:12:35 EST
Ted Jones <tejones@redhat.com> updated the status of jira TEIIDDES-2709 to Resolved
Comment 5 JBoss JIRA Server 2016-02-24 06:30:21 EST
Matej Kralik <mkralik@redhat.com> updated the status of jira TEIIDDES-2709 to Closed
Comment 6 JBoss JIRA Server 2016-04-14 14:38:52 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2709 to Reopened
Comment 7 JBoss JIRA Server 2016-04-14 14:49:09 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2709 to Closed

Note You need to log in before you can comment on or make changes to this bug.